Subject: Re: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Robert Pluim <[email-masked]>
Date: Mon, 10 Aug 2020 15:04:33 +0200

>>>>> On Mon, 10 Aug 2020 13:32:50 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Alan Third <[email-masked]> writes:
    >> On Thu, Jun 06, 2019 at 11:21:38AM +0900, Tak Kunihiro wrote:
    >>> >> To be consistent among platform, should mouse-wheel-progressive-speed be
    >>> >> t?
    >>> >
    >>> > It'd be preferable, but I understand this makes Emacs on macOS
    >>> > unusable with mouse scrolling, so I guess we will have to turn it off
    >>> > by default on macOS.
    >>> 
    >>> Following patch will make mouse-wheel-scroll-amount consistent among
    >>> platform.  Can you install it?
    >> 
    >> Done: 9f4c945b5cfb2e26a65ca10453591536c8fb0ff4.

    Lars> I've just skimmed this thread, but did this change make the originally
    Lars> proposed patch unnecessary and this bug report can be closed? 

Yes, I think so.

Robert